> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twexapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Followers (v3)

> Get followers of a user. Page size 10-100; use cursor for more pages. $0.14/1000 users.



## OpenAPI

````yaml /api-reference/openapi.json post /v3/twitter/users/followers
openapi: 3.1.0
info:
  title: Twitter API Service
  description: |2-

            A comprehensive Twitter API service that provides various Twitter operations including:
            
            * **Search Operations**: Advanced search, hashtags, cashtags
            * **Tweet Operations**: Post, like, retweet, quote, bookmark, delete
            * **User Operations**: Batch user information retrieval
            * **Influencer Operations**: Get tweets from top influencers
            
            All endpoints return standardized responses in the format:
            ```json
            {
                "code": 200,
                "msg": "success", 
                "data": {...}
            }
            ```
            
            ## Authentication
            
            This API uses Bearer token authentication. Include your token in the Authorization header:
            ```
            Authorization: Bearer your_token_here
            ```
            
  contact:
    name: API Support
    email: support@twitterxapi.com
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twexapi.io
    description: Development server
security: []
paths:
  /v3/twitter/users/followers:
    post:
      tags:
        - Followers & Following Endpoints
      summary: Get Followers (v3)
      description: >-
        Get followers of a user. Page size 10-100; use cursor for more pages.
        $0.14/1000 users.
      operationId: followers_v3_api_v3_twitter_users_followers_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FollowersFollowingV3Query'
        required: true
      responses:
        '200':
          description: Followers page with cursor pagination.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifiedFollowersResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FollowersFollowingV3Query:
      properties:
        username:
          type: string
          title: Username
          description: Twitter username (with or without @).
          example: elonmusk
        count:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 10
            - type: 'null'
          title: Count
          description: Number of users to return per page (min 10, max 100).
          default: 20
          example: 20
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
          description: Cursor from previous next_cursor to fetch the next page.
          example: 1870681402093130182|2076960004551737340
      type: object
      required:
        - username
      title: FollowersFollowingV3Query
      description: >-
        Parameters for getting followers / following / verified-followers (v3,
        no cookie required)
    VerifiedFollowersResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response code
          example: 200
        msg:
          type: string
          title: Msg
          description: Response message
          example: success
        data:
          anyOf:
            - $ref: '#/components/schemas/VerifiedFollowersData'
            - type: 'null'
          description: Followers page
      type: object
      required:
        - code
        - msg
      title: VerifiedFollowersResponse
      description: Response for followers / verified followers
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VerifiedFollowersData:
      properties:
        users:
          items:
            $ref: '#/components/schemas/UserInfo'
          type: array
          title: Users
          description: Follower users on this page
        has_next_page:
          type: boolean
          title: Has Next Page
          description: Whether another page is available
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Pass as cursor to fetch the next page when has_next_page is true
          example: 1870681402093130182|2076960004551737340
      type: object
      required:
        - users
        - has_next_page
      title: VerifiedFollowersData
      description: Followers page data (regular or verified)
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserInfo:
      properties:
        userId:
          type: string
          title: Userid
          description: User ID
        isBlueVerified:
          type: boolean
          title: Isblueverified
          description: Blue verification status
        createdAt:
          type: string
          title: Createdat
          description: Account creation date
        createdAtDatetime:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdatdatetime
          description: Account creation datetime in ISO format
        defaultProfile:
          type: boolean
          title: Defaultprofile
          description: Default profile flag
        defaultProfileImage:
          type: boolean
          title: Defaultprofileimage
          description: Default profile image flag
        description:
          type: string
          title: Description
          description: Bio description
        location:
          type: string
          title: Location
          description: Location
        fastFollowersCount:
          type: integer
          title: Fastfollowerscount
          description: Fast followers count
        favouritesCount:
          type: integer
          title: Favouritescount
          description: Likes count
        followersCount:
          type: integer
          title: Followerscount
          description: Followers count
        followingCount:
          type: integer
          title: Followingcount
          description: Following count
        hasCustomTimelines:
          type: boolean
          title: Hascustomtimelines
          description: Has custom timelines flag
        isTranslator:
          type: boolean
          title: Istranslator
          description: Is translator flag
        listedCount:
          type: integer
          title: Listedcount
          description: Listed count
        mediaCount:
          type: integer
          title: Mediacount
          description: Media count
        name:
          type: string
          title: Name
          description: Display name
        normalFollowersCount:
          type: integer
          title: Normalfollowerscount
          description: Normal followers count
        pinnedTweetIdsStr:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Pinnedtweetidsstr
          description: Pinned tweet IDs
        possiblySensitive:
          type: boolean
          title: Possiblysensitive
          description: Possibly sensitive flag
        profileImageUrlHttps:
          type: string
          title: Profileimageurlhttps
          description: Profile image URL
        username:
          type: string
          title: Username
          description: Username
        statusesCount:
          type: integer
          title: Statusescount
          description: Tweets count
        translatorType:
          anyOf:
            - type: string
            - type: 'null'
          title: Translatortype
          description: Translator type
        verified:
          type: boolean
          title: Verified
          description: Legacy verification status
        verified_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Verified Type
          description: 'Verification badge type: blue, business, government, etc.'
          examples:
            - blue
            - business
            - government
        withheldInCountries:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Withheldincountries
          description: Withheld in countries
        protected:
          type: boolean
          title: Protected
          description: Protected account flag
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: User profile URL
        descriptionUrls:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Descriptionurls
          description: Description URLs
        urls:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Urls
          description: User URLs
        pinnedTweetIds:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Pinnedtweetids
          description: Pinned tweet IDs
      type: object
      required:
        - userId
        - isBlueVerified
        - createdAt
        - defaultProfile
        - defaultProfileImage
        - description
        - location
        - fastFollowersCount
        - favouritesCount
        - followersCount
        - followingCount
        - hasCustomTimelines
        - isTranslator
        - listedCount
        - mediaCount
        - name
        - normalFollowersCount
        - possiblySensitive
        - profileImageUrlHttps
        - username
        - statusesCount
        - verified
        - protected
      title: UserInfo
      description: User information structure
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````